Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow.x11
Class X11GraphicsScreen

    java.lang.Object
      javax.media.nativewindow.DefaultGraphicsScreen
          javax.media.nativewindow.x11.X11GraphicsScreen

All Implemented Interfaces:
  Cloneable, AbstractGraphicsScreen

    public class X11GraphicsScreen

extends DefaultGraphicsScreen
implements Cloneable

Encapsulates a screen index on X11 platforms. Objects of this type are passed to `GraphicsConfigurationFactory.chooseGraphicsConfiguration()` on X11 platforms when toolkits other than the AWT are being used.

Constructor Summary
`X11GraphicsScreen(X11GraphicsDevice device, int screen)` Constructs a new X11GraphicsScreen corresponding to the given native screen index.

Method Summary
`Object` | `clone()`
`static AbstractGraphicsScreen` | `createDefault()` Creates a new X11GraphicsScreen using a thread local display connection
`static AbstractGraphicsScreen` | `createScreenDevice(long display, int screenIdx)`
`long` | `getDefaultVisualID()`

Methods inherited from class javax.media.nativewindow.DefaultGraphicsScreen
`createScreenDevice, getDevice, getIndex, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11GraphicsScreen

    public X11GraphicsScreen(X11GraphicsDevice device,
                             int screen)

  Constructs a new X11GraphicsScreen corresponding to the given native screen index.

Method Detail

### createScreenDevice

    public static AbstractGraphicsScreen createScreenDevice(long display,
                                                            int screenIdx)

### createDefault

    public static AbstractGraphicsScreen createDefault()

  Creates a new X11GraphicsScreen using a thread local display connection

### getDefaultVisualID

    public long getDefaultVisualID()

### clone

    public Object clone()

  Overrides:
    `clone` in class `DefaultGraphicsScreen`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.